*
* $Id$
*
* $Log$
*
*
* xcelldata.inc
*
*CMZ :  3.00/00 02/05/2001  20.42.25  by  Unknown
*-- Author :
*-----------------------------------------------------------------------
*   CELDAT - Common block containing all information on the cell, such
*   CELCHR   as the wire data, planes, constants etc.
*   VARIABLES : X(I),Y(I)  : Position of wire I [cm].
*               WMAP(I)    : Mapped wire positions [cm].
*               D(I)       : Diameter of wire I [cm].
*               E(I),V(I)  : Charge on wire i, potential of wire I.
*               W(I)       : Stretching weight of the wire [grams].
*               U(I)       : Length of the wire [cm].
*               DENS(I)    : Density of the wire [g/cm3].
*               WIRTYP(I)  : Type of wire of wire I.
*               NWIRE      : Number of wires present in the cell.
*               N3D        : Number of three-dimensional charges.
*               X3D,Y3D,Z3D: Positions of the three-dimensional charges.
*               E3D        : Charge of the three-dimensional charges.
*               NTERMB/D   : Number of terms for 3D B2 potentials.
*               XMIN, XMAX : x-range of the cell comsidered [cm].
*               YMIN, YMAX : y-range of the cell considered [cm].
*               ZMIN, ZMAX : z-range of the cell considered [cm].
*               YNPLAN(I)  : Plane I exist if .TRUE.
*               COPLAN(I)  : Relevant coordinate of plane I
*               VTPLAN(I)  : Potential of plane I.
*               PLATYP(I)  : Label of plane I.
*               YNPLAX,YNPLAY: Yes/no plane in x or y (reduce CPU time).
*               COPLAX,COPLAY: Coordinates of planes  (reduce CPU time).
*               INDPLA     : Conductor group number for plane I,
*                            the tube has number 5.
*               PLSTR1(I,J,K): x/y-strip J for plane I, K=1: lower
*                            limit, K=2: upper limit, K=3: gap.
*               PLSTR2(I,J,K): z-strip J for plane I, K=1: lower limit,
*                            K=2: upper limit, K=3: gap.
*               PSLAB1/2   : Labels of strips.
*               NPSTR1/2(I): Number of x/y and z strips in plane I.
*               INDST1/2   : Conductor group numbers for strips.
*               XMATT(I,.) : x-start, x-end, eps of x-dielectricum I.
*               YMATT(I,.) : y-start, y-end, eps of y-dielectricum I.
*               NXMATT     : Number of x-dielectrica.
*               NYMATT     : Number of y-dielectrica.
*               V0         : Voltage added to obtain: sum charges =0.
*               PERX/Y/Z   : Yes/no x, y, z periodicity.
*               PERMX/Y/Z  : Yes/no x, y, z mirror periodicity.
*               PERAX/Y/Z  : Yes/no x, y, z axial periodicity.
*               PERRX/Y/Z  : Yes/no x, y, z rotation symmetry
*               TYPE       : Cell type.
*               ICTYPE     : Integer cell type (is more efficient).
*               SX, SY, SZ : Periodicity in x, y, z (if relevant).
*               INDSW(I)   : Gives the sense wire number for wire I.
*               NSW        : Number of sense wires.
*               YNMATX,YNMATY: Yes/no dielectricum in x or y (idem).
*               COMATX,COMATY: Coordinates of dielectricum   (idem).
*               B2SIN      : Vector of sinuses for B2 (reduce CPU time).
*               CORVTA,B,C : CORVTA*X + CORVTB*Y + CORVTC =
*                            potential due to the planes only.
*               VMIN,VNAX  : Range of voltages in the cell.
*               DOWN       : Chamber orientation
*               POLAR      : The cell has cylindrical/polar symmetry.
*               TUBE       : Geometry with wires inside a tube.
*               VTTUBE     : Voltage of the tube.
*               COTUBE     : Radius of the tube.
*               NTUBE      : Number of edges of the tube.
*               MTUBE      : Periodicity in the tube.
*               KAPPA      : Constant used for mappings.
*               CNALSO     : Flag to select only mirror images of a wire
*               IENBGF     : Entry for the background field.
*               LBGFMP     : Background field uses field map.
*   (Last changed on  5/12/00.)
*-----------------------------------------------------------------------
