*
* $Id$
*
* $Log$
*
*
* xdriftline.inc
*
*CMZ :  3.00/00 02/05/2001  20.42.25  by  Unknown
*-- Author :
*-----------------------------------------------------------------------
*   DRFDAT - Common block giving full information on one drift line
*            this common block is used for the communication between the
*            routine calculating drift lines (DLCALC) and others needing
*            this information (such as : DRFWIR, DRFEDG, DRFTRA etc).
*   VARIABLES : XU         : x-coordinates of the drift line
*               YU         : y-coordinates of the drift line
*               TU         : t-coordinates of the drift line
*               NU         : number of points on the drift line
*               ISTAT      : way the particle ends its life:
*                            ISTAT= 0 calculation still in progress
*                                  -1 left the drift area
*                                  -2 needed more than MXLIST steps
*                                  -3 stopped, returned, abandonned etc.
*                                  -4 hit a plane
*                                   n ( 0<n<=MXWIRE ) hit wire number n
*                                   n ( n>MXWIRE ) hit replica wire n
*               ISTAT1-6   : ISTAT's for leaving via various edges
*               IPTYPE     : Particle type 0=unknown, 1=electron, 2=ion
*               IPTECH     : Technique 0=unknown, 1=RKF, 2=MC, 3=vacuum
*               QPCHAR     : Particle charge
*               DXMIN,DXMAX: x-range of drift area,
*               DYMIN,DYMAX: y-range of drift area.
*               MXDIFS, MXTWNS, MXATTS: Maximum stack depths.
*               LREPSK     : Check only attracting wires.
*               RDF2       : Distance to switch L+T diff integration
*               MDF2       : L+T integration method when reaching wire
*                            MDF2 = 0 no special treatment
*                                 = 1 full integration of the cloud
*                                 = 2 integration with constant velocity
*                                 = 3 project longitudinal dimension
*                                 = 4 project largest dimension
*               TMC        : MC drift line step time.
*               DMC        : MC drift line step distance.
*               NMC        : Number of collisions to be skipped.
*               MCMETH     : MC integration method,
*                                 = 0 constant time steps
*                                 = 1 constant distance steps
*                                 = 2 collision time based steps
*               EPSDIF     : Maximum error made while solving diff. eq.
*               RTRAP      : A particle found within RTRAP wire radii
*                            is considered to be trapped.
*               STMAX      : Maximum step length.
*               EPSDFI     : Accuracy diffusion integration.
*               MXDIFS     : Maximum stack depth diffusion integration.
*               EPSTWI     : Accuracy Townsend integration.
*               MXTWNS     : Maximum stack depth Townsend integration.
*               LAVPRO     : Avalanche over projected drift path.
*               EPSATI     : Accuracy attachment integration.
*               MXATTS     : Maximum stack depth attachment integration.
*               EQTTHR     : Maximum relative distance between equal
*                            time contour points to be joined.
*               EQTASP     : Aspect ratio threshold to classify an
*                            isochrone as circle or straight line
*               EQTCLS     : Maximum relative distance for an isochrone
*                            to be closed
*               LEQSRT     : Sort isochrones
*               LEQCRS     : Check for drift line - isochrone crossings
*               LEQMRK     : Mark rather than draw isochrones
*   (Last changed on  7/11/00.)
*-----------------------------------------------------------------------
